<template>
  <q-layout view="hHh Lpr fFf"> 
    <q-header elevated>
      <q-toolbar>
        <q-btn
          flat
          round
          dense
          icon="menu"
          @click="onClickedDrawer"
        />
        <!-- <q-toolbar-title>GSR - Drawer: {{drawer}}</q-toolbar-title> -->
        <q-toolbar-title> <a href="/">GSR</a></q-toolbar-title>
        <q-btn flat round dense icon="whatshot" />
      </q-toolbar>
    </q-header>

    <!-- <q-drawer
        v-model="drawer"
        :width="200"
        :breakpoint="500"
        show-if-above
      >
        <q-scroll-area class="fit">
          <q-list padding class="menu-list">
            <q-item clickable v-ripple>
              <q-item-section avatar>
                <q-icon name="inbox" />
              </q-item-section>

              <q-item-section>
                Inbox
              </q-item-section>
            </q-item>

            <q-item active clickable v-ripple>
              <q-item-section avatar>
                <q-icon name="star" />
              </q-item-section>

              <q-item-section>
                Star
              </q-item-section>
            </q-item>

            <q-item clickable v-ripple>
              <q-item-section avatar>
                <q-icon name="send" />
              </q-item-section>

              <q-item-section>
                Send
              </q-item-section>
            </q-item>

            <q-item clickable v-ripple>
              <q-item-section avatar>
                <q-icon name="drafts" />
              </q-item-section>

              <q-item-section>
                Drafts
              </q-item-section>
            </q-item>
          </q-list>
        </q-scroll-area>
    </q-drawer> -->

    <!-- <q-footer elevated>
        <q-toolbar>
            <q-toolbar-title>Footer</q-toolbar-title>
        </q-toolbar>
    </q-footer> -->

    <q-page-container>
      <router-view />
    </q-page-container>

  </q-layout>
</template>

<script>
export default {
  name: 'home',

  data () {
    return {
      leftDrawer: true,
      drawer: false
    }
  },

//   created() {
//       console.log('Drawer: ' + this.drawer)
//       this.drawer = false
//   },

//   mounted() {
//       console.log('Drawer: ' + this.drawer)
//       this.drawer = false
//       console.log('Drawer: ' + this.drawer)
//   },

  methods: {
      onClickedDrawer() {
          this.leftDrawer = !this.leftDrawer 
          this.drawer = !this.drawer 
      }
  },
//   computed: {
//       showDrawer() {
//           return this.drawer ? this.drawer : false
//       }
//   }
}
</script>
